Port-arm archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: NSLU2 running 5.0_RC not stable

On Fri, Mar 6, 2009 at 4:56 PM, Luazi <embedpro%gmail.com@localhost> wrote:
> I can do some tests on my slug, if you are still looking for a tester.
> I have not overclocked it.

Can you try to build perl from a current pkgsrc? This is the error I get:

root@nslu2:/usr/pkgsrc/lang/perl5 # uname -a
NetBSD nslu2 5.0_RC2 NetBSD 5.0_RC2 (NSLU2_ALL) #0: Wed Mar  4
03:07:05 MST 2009
root@nslu2:/usr/pkgsrc/lang/perl5 # make extract
=> Bootstrap dependency digest>=20010302: found digest-20080510
===> Skipping vulnerability checks.
WARNING: No /var/db/pkg/pkg-vulnerabilities file found.
WARNING: To fix run: `/usr/sbin/download-vulnerability-list'.
=> Fetching perl-5.10.0.tar.gz
=> Total size: 15595020 bytes
Trying 2001:708:10:9::20:1:21 ...
ftp: Can't connect to `2001:708:10:9::20:1:21': No route to host
Trying ...
Connected to ftp.funet.fi.
(lots of stuff....)
226-File successfully transferred
226 107.714 seconds (measured here), 141.39 Kbytes per second
15595020 bytes received in 01:48 (140.80 KiB/s)
221-Goodbye. You uploaded 0 and downloaded 15230 kbytes.
221 Logout.
checksum: Checksum SHA1 mismatch for perl-5.10.0.tar.gz
ERROR: Make sure the Makefile and checksum file
ERROR: are up to date.  If you want to override this check, type
ERROR: "/usr/bin/make NO_CHECKSUM=yes [other args]".
*** Error code 1

make: stopped in /usr/pkgsrc/lang/perl5

On my Cobalt system running 5.0_RC:

===> Overriding tools for perl-5.10.0nb5
===> Extracting for perl-5.10.0nb5
taz-dmz@root:/usr/pkgsrc/lang/perl5 #

No problem from the Cobalt.

Sometimes the SHA1 fails, sometimes the RMD160 fails. Sometimes
neither fail, but then I get a tar error. Very random.

I've been thinking about getting another one which is not
de-underclocked but I'd like to know that others can do this stuff I'm
trying to do before I do that.



Home | Main Index | Thread Index | Old Index